Main things that need to be done to this:

1) Implement some data entry screens:
   a) Transaction entry
   b) Voucher entry
   c) Invoice entry

2) Improved reporting
   a) Transaction reports
   b) Account (group) reports

3) Lots of other stuff.
